package cz.moneta.test.smoke.itp.ieufotomcat;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.credentials.Keys;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;

import static cz.moneta.test.harness.annotations.Environment.*;

@TestScenario(name = "Test login to UFO Operations on Tomcat application.")
public class LoginToUfoTomcatOps {

    @TestCase(name = "Test login to UFO OPS on Tomcat", environments = {TST1, TST3, PPE, EDU, FVE})
    public void checkLoginToUfoOpsTomcat(Harness harness, @Key(Keys.ufo.banka.banker) Credentials credentials) {

        harness.withUfo()
                .openLoginPage()
                .then(harness.tasks().ufo().operations().login().withCredentials(credentials))
                .checkSearchInputInMainPage();
    }
}
